
def loadFasta(filename):
    
    f = open(filename)

    return "".join([r.rstrip() for r in f.readlines()[1:]])


def loadSites(filename):

    f = open(filename)
    sites=[]

    for row in f.readlines():
        sites.append([int(s) for s in row.split()])

    return sites


def selectResidues(sequence, candidates):

    return "".join([s for s in sequence if s in candidates])


def printSites(sites, residues):

    for site in sites:
        print " ".join([residues[l] for l in site])


def printRes4Site(fastafile, sitefile, candidates):

    sequence = loadFasta(fastafile)

    sites = loadSites(sitefile)
        
    residues = selectResidues(sequence, candidates)

    printSites(sites, residues)
