
def loadFasta(fastafile):

    f = open(fastafile)

    seq = "".join([r.rstrip() for r in f][1:])

    f.close()

    return seq



def loadProfile(profilefile):

    f = open(profilefile)

    profile = [[float(p) for p in r.split()] for r in f]
    
    f.close()

    return profile



def conservationSequence(seq, profile, residues, threshold):

    consseq=""

    for i in range(len(seq)):

        if isConserved(seq[i], profile[i], residues, threshold):
            consseq += seq[i]
        else:
            consseq += seq[i].lower()

    return consseq


def isConserved(residue, profile, residues, threshold):
    
    for i in range(len(residues)):
        if residues[i] == residue:
            if profile[i] >= threshold:
                return True

    return False

residues="VLIMFWYGAPSTCHRKQEND"

def prinConsSequence(fastafile, profilefile, residues, threshold):

    seq = loadFasta(fastafile)

    profile = loadProfile(profilefile)

    print conservationSequence(seq, profile, residues, threshold)
